Skip to content

ApPmtTermsTablePagedList⁠

Perform various operations for Symitar parameters.

Operations⁠

getApPmtTermsTablePagedList⁠

POST

Retrieve ApPmtTermsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getApPmtTermsTablePagedList
POST /nexum/627/2022.01/parameter/getApPmtTermsTablePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "REPLACE_WITH_YOUR_TOKEN"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getApPmtTermsTablePagedListSelectFields⁠

POST

Retrieve ApPmtTermsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/getApPmtTermsTablePagedListSelectFields
POST /nexum/627/2022.01/parameter/getApPmtTermsTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true
  }
}

getApPmtTermsTableListSelectFields⁠

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/getApPmtTermsTableListSelectFields
POST /nexum/627/2022.01/parameter/getApPmtTermsTableListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchApPmtTermsTableSelectFields⁠

POST

Search AP payment terms table select fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/parameter/searchApPmtTermsTableSelectFields
POST /nexum/627/2022.01/parameter/searchApPmtTermsTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchApPmtTermsTablePagedSelectFields⁠

POST

Search AP payment terms table paged select fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/parameter/searchApPmtTermsTablePagedSelectFields
POST /nexum/627/2022.01/parameter/searchApPmtTermsTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}